Nuestro sitio
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

67 lines
2.2 KiB

11 months ago
{
"name": "@hyas/doks",
"description": "Doks theme",
"version": "0.3.5",
"browserslist": [
"defaults"
],
"repository": "https://github.com/h-enk/doks",
"license": "MIT",
"publishConfig": {
"access": "public"
},
"scripts": {
"init": "shx rm -rf .git && git init -b main",
"create": "exec-bin node_modules/.bin/hugo/hugo new",
"prestart": "npm run clean",
"start": "exec-bin node_modules/.bin/hugo/hugo server --bind=0.0.0.0 --disableFastRender",
"prebuild": "npm run clean",
"build": "exec-bin node_modules/.bin/hugo/hugo --gc --minify",
"build:preview": "npm run build -D -F",
"clean": "shx rm -rf public resources",
"clean:install": "shx rm -rf package-lock.json node_modules ",
"lint": "npm run -s lint:scripts && npm run -s lint:styles && npm run -s lint:markdown",
"lint:scripts": "eslint assets/js config functions",
"lint:styles": "stylelint \"assets/scss/**/*.{css,sass,scss,sss,less}\"",
"lint:markdown": "markdownlint \"*.md\" \"content/**/*.md\"",
"server": "exec-bin node_modules/.bin/hugo/hugo server",
"test": "npm run -s lint",
"env": "env",
"precheck": "npm version",
"check": "exec-bin node_modules/.bin/hugo/hugo version",
"copy:katex-fonts": "shx cp ./node_modules/katex/dist/fonts/* ./static/fonts/",
"postinstall": "hugo-installer --version otherDependencies.hugo --extended --destination node_modules/.bin/hugo",
"version": "auto-changelog -p && git add CHANGELOG.md"
},
"devDependencies": {
"@babel/cli": "^7.15",
"@babel/core": "^7.15",
"@babel/preset-env": "^7.15",
"@fullhuman/postcss-purgecss": "^4.0",
"auto-changelog": "^2.3.0",
"autoprefixer": "^10.3",
"bootstrap": "^5.1",
"clipboard": "^2.0",
"eslint": "^8.0",
"exec-bin": "^1.0.0",
"hugo-installer": "^3.1",
"flexsearch": "^0.7.21",
"highlight.js": "^11.2",
"instant.page": "^5.1",
"katex": "^0.13",
"lazysizes": "^5.3",
"markdownlint-cli": "^0.29",
"node-fetch": "^3.0",
"mermaid": "^8.13",
"postcss": "^8.3",
"postcss-cli": "^9.0",
"purgecss-whitelister": "^2.4",
"shx": "^0.3.3",
"stylelint": "^13.13",
"stylelint-config-standard": "^22.0"
},
"otherDependencies": {
"hugo": "0.88.1"
}
}